{% extends '_layouts/default' %}

{% block contents %}
    {% include '_partials/banner.twig' with { 'bannerWithBlueSection': 'activeBannerWithBlueSection' } %}
    {% include '_partials/banner-detail.twig' %}
    <div class="search-posts lists vspace">
        <div class="row vlarge width animatedParent animateOnce" data-sequence="200">
            <div class="columns large-8 small-12">
                <div class="search-posts lists menu-holder">
                    <ul class="dropdown menu" data-dropdown-menu>
                        {% set blogCategories = craft.categories.group('blog').level(1) %}
                        <li class="animated fadeIn" data-id="1"><a href="#most-recent" class="is-active">Most Recent</a></li>
                        {% for option in blogCategories %}
                            {% if(loop.index < 4) %}
                                <li class="animated fadeIn" data-id="{{ loop.index +1 }}"><a href="#{{ option.title|kebab }}">{{ option.title }}</a></li>
                            {% endif %}
                        {% endfor %}
                    </ul>
                    <ul class="dropdown menu" data-dropdown-menu>
                        <li class="animated fadeIn x-margin" data-id="5">
                            {% for option in blogCategories %}
                                {% if(loop.index > 4) %}
                                    {% if loop.last %}
                                        <a href="javascript:void();"><span class="icon-circle"></span><span class="icon-circle"></span><span class="icon-circle"></span></a>
                                    {% endif %}
                                {% endif %}
                            {% endfor %}
                            <ul class="dropdown menu tabs" data-dropdown-menu>
                                {% for option in blogCategories %}
                                    {% if(loop.index > 3) %}
                                        <li><a href="#{{ option.title }}">{{ option.title }}</a></a></li>
                                    {% endif %}
                                {% endfor %}
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
            <div class="columns large-4 small-12">
                <div class="search-posts lists search-holder">
                    <form action="{{ url('/search') }}">
                        <span class="search-input"><input type="text" name="q" placeholder="Search Blog"></span>
                        <span class="submit-icon"><input type="submit" value="submit"></span>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <div class="blog-posts wrap">
        <div class="tabs-content animatedParent animateOnce" data-tabs-content="video-tabs">
            {% set entries = craft.entries.section('blog').limit(5).order('postDate desc') %}
            <div class="tab-contents blog is-active" id="most-recent">
                {% paginate entries as entriesOnPage %}
                    {% for entry in entriesOnPage %}
                        <div class="flex-box">
                            <div class="row vlarge">
                                <div class="columns medium-3 small-12 animated fadeIn">
                                    <div class="blog-posts posts-holder">
                                        <div class="blog-posts posts-holder image-holder">
                                            <a href="{{ entry.url }}" data-id="{{entry.id}}">
                                                {% if entry.featuredImage|length %}
                                                    {% for asset in entry.featuredImage %}
                                                        <img src="{{asset.getUrl('blogImage')}}" alt="">
                                                    {% endfor %}
                                                {% else %}
                                                        <img src="/assets/images/img-blog-post-default.jpg" alt="">
                                                {% endif %}
                                            </a>
                                        </div>
                                    </div>
                                </div>
                                <div class="columns medium-9 small-12 animated fadeIn">
                                    <div class="blog-posts posts-holder">
                                        <div class="blog-posts posts-holder content-holder">
                                            <h3><a href="{{ entry.url }}">{{ entry.title }}</a></h3>
                                            <div class="posts-date">{{ entry.postDate | date("M d, Y") }}</div>
                                            <div class="posts-content">{{ entry.body|hacksaw(words='40', append='...') }}</div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    {% endfor %}
                    {% endpaginate %}
                    <div class="row">
                        <div class="columns small-12">
                            <div class="search-lists readmore">
                                {% set pagi = craft.entries.section('blog').order('postDate desc').find() %}
                                <a href="#" class="readmore-btn {% for entry in pagi %}{% if loop.length <= 5 %} hide{% endif %}{% endfor %}">LOAD MORE</a>
                            </div>
                        </div>
                    </div>
            </div>

            {% for option in blogCategories %}
                {% set category = craft.categories.slug(option.title) %}
                {% set entries = craft.entries.section('blog').limit(5).order('postDate desc').relatedTo(category).find() %}
                {% if entries | length %}
                    <div class="tab-contents blog" id="{{ option.title|kebab }}" data-cat="{{option.id}}">
                        {% for entry in entries %}
                             <div class="flex-box">
                                <div class="row vlarge">
                                    <div class="columns medium-3 small-12 animated fadeIn">
                                        <div class="blog-posts posts-holder">
                                            <div class="blog-posts posts-holder image-holder">
                                                <a href="{{ entry.url }}" data-id="{{entry.id}}">
                                                    {% if entry.featuredImage|length %}
                                                        {% for asset in entry.featuredImage %}
                                                            <img src="{{asset.getUrl('blogImage')}}" alt="">
                                                        {% endfor %}
                                                    {% else %}
                                                            <img src="/assets/images/img-blog-post-default.jpg" alt="">
                                                    {% endif %}
                                                </a>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="columns medium-9 small-12 animated fadeIn">
                                        <div class="blog-posts posts-holder">
                                            <div class="blog-posts posts-holder content-holder">
                                                <h3><a href="{{ entry.url }}">{{ entry.title }}</a></h3>
                                                <div class="posts-date">{{ entry.postDate | date("M d, Y") }}</div>
                                                <div class="posts-content">{{ entry.body|hacksaw(words='40', append='...') }}</div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        {% endfor %}
                            <div class="row">
                                <div class="columns small-12">
                                    <div class="search-lists readmore">
                                        {% set pagi = craft.entries.section('blog').order('postDate desc').relatedTo(category).find() %}
                                        <a href="#" class="readmore-btn {% for entry in pagi %}{% if loop.length <= 5 %} hide{% endif %}{% endfor %}" data-category-id="{{option.id}}">LOAD MORE</a>
                                    </div>
                                </div>
                            </div>
                    </div>
                {% endif %}
            {% endfor %}
        </div>
    </div>
{% endblock contents %}
